Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp xóa nhanh tất cả các xline và ray trong bản vẽ.


  • Please log in to reply
2 replies to this topic

#1 victor85

victor85

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 10 July 2012 - 09:36 AM

Các bác ngoáy cho em mấy dòng lisp xóa nhanh tất cả các xline và ray trong bản vẽ với.
Lệnh xx1.
Kết quả: Các xline và ray biến mất.
Chắc cũng đơn giản thôi nhỉ. Hi!
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 10 July 2012 - 09:56 AM

Yêu cầu bao nhiêu lisp rồi mà dòng này thôi k viết được thì buồn
1. Ctrl A -> Ctrl 1-> Xline Xóa, Ray Xóa
2. Qselect -> Xline -> Select All -> Ray -> Append -> Select All -> OK -> Xóa
3. (defun c:exl()(command "erase" (ssget "x" (list (cons 0 "XLINE,RAY"))) ""))
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 10 July 2012 - 09:57 AM


(defun C:XX1()
(command "erase" (ssget "X" '((0 . "RAY,XLINE"))) "")
(princ))

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.